// =====================================================================
//  $Id: TEventAction.cc,v 1.5 2004/03/07 10:30:30 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: TEventAction.cc,v $
//  Revision 1.5  2004/03/07 10:30:30  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.4  2004/03/04 14:53:43  goiwai
//  BeginOfEventAction -> AtFirst
//  EndOfEventAction -> AtLast
//  WaitEvent -> WaitTrigger
//
//  Revision 1.3  2003/10/06 16:56:02  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:18:09  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TEventAction.hh"
#include "TRunManager.hh"
#include "TEventManager.hh"
#include "TReadoutBook.hh"
#include "TCrate.hh"

TEventAction::TEventAction()
  : theRunManager( 0 ), theEventManager( 0 ),
    theReadoutBook( 0 ), theCrate( 0 )
{;}

TEventAction::~TEventAction()
{;}

Tvoid TEventAction::AtFirst( TEvent& anEvent )
{
  return;
}

Tvoid TEventAction::AtLast( TEvent& anEvent )
{
  return;
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TEventAction)
#endif
